package com.muyu.common.nacos.remote.req;

import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * @Author: by 杨旭飞
 * @Date 2024/8/8 23:48
 * @Description 服务列表请求参数
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ServiceListReq extends BaseReq {

    /**
     * 当前页码
     */
    private int pageNo;

    /**
     * 分页大小
     */
    @Builder.Default
    private int pageSize = 10;

    /**
     * 分组名
     */
    private String groupName;
}
